> ## Documentation Index
> Fetch the complete documentation index at: https://developers.clay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch progress and results for a batch run

> Returns current status and results for an asynchronous batch routine run.



## OpenAPI

````yaml /openapi.json get /routines/run-batch/{routine_run_id}/results
openapi: 3.1.0
info:
  contact:
    name: Clay
    url: https://www.clay.com
  description: Programmatic access to Clay.
  title: Clay Public API
  version: '0'
servers:
  - description: production
    url: https://api.clay.com/public/v0
security:
  - ClayApiKey: []
tags:
  - description: Authenticated user and workspace endpoints.
    name: me
  - description: Search creation and pagination endpoints.
    name: searches
  - description: Structured table query endpoints.
    name: tables
  - description: Routine discovery and execution endpoints.
    name: routines
paths:
  /routines/run-batch/{routine_run_id}/results:
    get:
      tags:
        - routines
      summary: Fetch progress and results for a batch run
      description: >-
        Returns current status and results for an asynchronous batch routine
        run.
      operationId: getRoutineRunBatchResults
      parameters:
        - in: path
          name: routine_run_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchResultsTerminal'
          description: '200'
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchResultsInProgress'
          description: '202'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: '401'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: '404'
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: '429'
components:
  schemas:
    BatchResultsTerminal:
      anyOf:
        - $ref: '#/components/schemas/BatchResultsValidationFailed'
        - $ref: '#/components/schemas/BatchResultsComplete'
    BatchResultsInProgress:
      additionalProperties: false
      properties:
        finished:
          type: number
        routine_run_id:
          type: string
        status:
          const: in_progress
          type: string
        total:
          type: number
      required:
        - routine_run_id
        - total
        - finished
        - status
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        message:
          type: string
      required:
        - message
      type: object
    BatchResultsValidationFailed:
      additionalProperties: false
      properties:
        error:
          $ref: '#/components/schemas/BatchValidationError'
        routine_run_id:
          type: string
        status:
          const: validation_failed
          type: string
      required:
        - routine_run_id
        - status
        - error
      type: object
    BatchResultsComplete:
      additionalProperties: false
      properties:
        finished:
          type: number
        result_url:
          format: uri
          type: string
        routine_run_id:
          type: string
        status:
          const: complete
          type: string
        total:
          type: number
      required:
        - routine_run_id
        - total
        - finished
        - status
        - result_url
      type: object
    BatchValidationError:
      additionalProperties: false
      properties:
        details:
          items:
            $ref: '#/components/schemas/BatchValidationErrorDetail'
          maxItems: 100
          type: array
        message:
          type: string
        total_invalid_rows:
          type: number
      required:
        - message
        - total_invalid_rows
        - details
      type: object
    BatchValidationErrorDetail:
      additionalProperties: false
      properties:
        field:
          type: string
        line_number:
          type: number
        message:
          type: string
      required:
        - line_number
        - field
        - message
      type: object
  securitySchemes:
    ClayApiKey:
      description: >-
        Personal API key tied to your Clay user. Create one under Settings →
        Account in the Clay app.
      in: header
      name: clay-api-key
      type: apiKey

````